# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.gtt
Class DocumentEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<DocumentEntry>
                      com.google.gdata.data.gtt.DocumentEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class DocumentEntry

extends MediaEntry<DocumentEntry>

Describes a document entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`DocumentEntry()` Default mutable constructor.
`DocumentEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getAccessControlListLink()` Returns the link that provides the URI of the feed for the access control list for the entry.
`Deleted` `getDeleted()` Returns the marker for deleted entries.
`DocumentSource` `getDocumentSource()` Returns the document source.
`GlossariesElement` `getGlossary()` Returns the glossaries element.
`LastModifiedBy` `getLastModifiedBy()` Returns the last modified by.
`NumberOfSourceWords` `getNumberOfSourceWords()` Returns the number of source words.
`PercentComplete` `getPercentComplete()` Returns the percent complete.
`SourceLanguage` `getSourceLanguage()` Returns the source language.
`TargetLanguage` `getTargetLanguage()` Returns the target language.
`TmsElement` `getTranslationMemory()` Returns the tms element.
`boolean` `hasDeleted()` Returns whether it has the marker for deleted entries.
`boolean` `hasDocumentSource()` Returns whether it has the document source.
`boolean` `hasGlossary()` Returns whether it has the glossaries element.
`boolean` `hasLastModifiedBy()` Returns whether it has the last modified by.
`boolean` `hasNumberOfSourceWords()` Returns whether it has the number of source words.
`boolean` `hasPercentComplete()` Returns whether it has the percent complete.
`boolean` `hasSourceLanguage()` Returns whether it has the source language.
`boolean` `hasTargetLanguage()` Returns whether it has the target language.
`boolean` `hasTranslationMemory()` Returns whether it has the tms element.
`void` `setDeleted(Deleted deleted)` Sets the marker for deleted entries.
`void` `setDocumentSource(DocumentSource documentSource)` Sets the document source.
`void` `setGlossary(GlossariesElement glossary)` Sets the glossaries element.
`void` `setLastModifiedBy(LastModifiedBy lastModifiedBy)` Sets the last modified by.
`void` `setNumberOfSourceWords(NumberOfSourceWords numberOfSourceWords)` Sets the number of source words.
`void` `setPercentComplete(PercentComplete percentComplete)` Sets the percent complete.
`void` `setSourceLanguage(SourceLanguage sourceLanguage)` Sets the source language.
`void` `setTargetLanguage(TargetLanguage targetLanguage)` Sets the target language.
`void` `setTranslationMemory(TmsElement translationMemory)` Sets the tms element.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Constructor Detail

### DocumentEntry

    public DocumentEntry()

  Default mutable constructor.

### DocumentEntry

    public DocumentEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDeleted

    public Deleted getDeleted()

  Returns the marker for deleted entries.

  Returns:
    marker for deleted entries

### setDeleted

    public void setDeleted(Deleted deleted)

  Sets the marker for deleted entries.

  Parameters:
    `deleted` - marker for deleted entries or `null` to reset

### hasDeleted

    public boolean hasDeleted()

  Returns whether it has the marker for deleted entries.

  Returns:
    whether it has the marker for deleted entries

### getDocumentSource

    public DocumentSource getDocumentSource()

  Returns the document source.

  Returns:
    document source

### setDocumentSource

    public void setDocumentSource(DocumentSource documentSource)

  Sets the document source.

  Parameters:
    `documentSource` - document source or `null` to reset

### hasDocumentSource

    public boolean hasDocumentSource()

  Returns whether it has the document source.

  Returns:
    whether it has the document source

### getGlossary

    public GlossariesElement getGlossary()

  Returns the glossaries element.

  Returns:
    glossaries element

### setGlossary

    public void setGlossary(GlossariesElement glossary)

  Sets the glossaries element.

  Parameters:
    `glossary` - glossaries element or `null` to reset

### hasGlossary

    public boolean hasGlossary()

  Returns whether it has the glossaries element.

  Returns:
    whether it has the glossaries element

### getLastModifiedBy

    public LastModifiedBy getLastModifiedBy()

  Returns the last modified by.

  Returns:
    last modified by

### setLastModifiedBy

    public void setLastModifiedBy(LastModifiedBy lastModifiedBy)

  Sets the last modified by.

  Parameters:
    `lastModifiedBy` - last modified by or `null` to reset

### hasLastModifiedBy

    public boolean hasLastModifiedBy()

  Returns whether it has the last modified by.

  Returns:
    whether it has the last modified by

### getNumberOfSourceWords

    public NumberOfSourceWords getNumberOfSourceWords()

  Returns the number of source words.

  Returns:
    number of source words

### setNumberOfSourceWords

    public void setNumberOfSourceWords(NumberOfSourceWords numberOfSourceWords)

  Sets the number of source words.

  Parameters:
    `numberOfSourceWords` - number of source words or `null` to reset

### hasNumberOfSourceWords

    public boolean hasNumberOfSourceWords()

  Returns whether it has the number of source words.

  Returns:
    whether it has the number of source words

### getPercentComplete

    public PercentComplete getPercentComplete()

  Returns the percent complete.

  Returns:
    percent complete

### setPercentComplete

    public void setPercentComplete(PercentComplete percentComplete)

  Sets the percent complete.

  Parameters:
    `percentComplete` - percent complete or `null` to reset

### hasPercentComplete

    public boolean hasPercentComplete()

  Returns whether it has the percent complete.

  Returns:
    whether it has the percent complete

### getSourceLanguage

    public SourceLanguage getSourceLanguage()

  Returns the source language.

  Returns:
    source language

### setSourceLanguage

    public void setSourceLanguage(SourceLanguage sourceLanguage)

  Sets the source language.

  Parameters:
    `sourceLanguage` - source language or `null` to reset

### hasSourceLanguage

    public boolean hasSourceLanguage()

  Returns whether it has the source language.

  Returns:
    whether it has the source language

### getTargetLanguage

    public TargetLanguage getTargetLanguage()

  Returns the target language.

  Returns:
    target language

### setTargetLanguage

    public void setTargetLanguage(TargetLanguage targetLanguage)

  Sets the target language.

  Parameters:
    `targetLanguage` - target language or `null` to reset

### hasTargetLanguage

    public boolean hasTargetLanguage()

  Returns whether it has the target language.

  Returns:
    whether it has the target language

### getTranslationMemory

    public TmsElement getTranslationMemory()

  Returns the tms element.

  Returns:
    tms element

### setTranslationMemory

    public void setTranslationMemory(TmsElement translationMemory)

  Sets the tms element.

  Parameters:
    `translationMemory` - tms element or `null` to reset

### hasTranslationMemory

    public boolean hasTranslationMemory()

  Returns whether it has the tms element.

  Returns:
    whether it has the tms element

### getAccessControlListLink

    public Link getAccessControlListLink()

  Returns the link that provides the URI of the feed for the access control list for the entry.

  Returns:
    Link that provides the URI of the feed for the access control list for the entry or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`